<script lang="ts">
import Vue from 'vue';
import SlpHorizontalRule from './horizontal-rule.vue';

export default Vue.extend({
  components: { SlpHorizontalRule },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="slp-flex slp-flex-column slp-align-items-center slp-mb-96">
    <SlpTypography
      v-if="data.subtitle"
      tag="h2"
      variant="heading4"
      class="slp-mb-24"
      >{{ data.subtitle }}</SlpTypography
    >
    <div class="container slp-mb-64">
      <a
        v-for="card in data.cards"
        :key="card.title"
        :href="card.url"
        class="card slp-card"
        :data-ga-name="card.data_ga_name"
        :data-ga-location="card.data_ga_location"
      >
        <div class="icon">
          <img :src="card.icon" alt="" />
        </div>
        <div class="card__content">
          <SlpTypography tag="h2" variant="heading4" class="title slp-mb-8">{{
            card.title
          }}</SlpTypography>
          <SlpTypography tag="p" variant="body1" class="description">{{
            card.description
          }}</SlpTypography>
        </div>
      </a>
    </div>
    <SlpHorizontalRule v-if="data.has_horizontal_rule" />
  </section>
</template>

<style lang="scss" scoped>
.container {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  grid-gap: 20px 50px;
  width: 80%;
  margin: 0 10%;

  @media (min-width: $breakpoint-md) {
    grid-template-columns: repeat(2, 1fr);
  }

  @media (min-width: $breakpoint-xl) {
    grid-template-columns: repeat(3, 1fr);
  }
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  text-align: center;
  box-sizing: border-box;
  padding: 40px;
  color: rgb(51, 51, 51);

  &:hover {
    .icon img {
      height: 56px;
      width: 56px;
    }

    .card__content {
      transform: translateY(4px);
    }
  }

  &__content {
    transition: 0.2s cubic-bezier(0, 0, 0, 1);
  }

  .icon {
    height: 56px;
    width: 56px;

    img {
      width: 52px;
      height: 52px;
      transition: all 0.2s ease-in-out;
    }

    margin-bottom: 20px;
  }
}
</style>
